<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use App\Models\Attivita;

class AttivitaMiddleware
{
  /**
   * Handle an incoming request.
   *
   * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
   */
  public function handle(Request $request, Closure $next): Response
  {
    // Attività is selected and active

    if (!session()->has('attivita_attuale') || session()->get('attivita_attuale') == null || session()->get('attivita_attuale') == 0 || !Attivita::find(session()->get('attivita_attuale'))->is_attiva) {
      return redirect()->route('attivita.index')->with('danger', 'Seleziona un\'attività per continuare');
    }
    return $next($request);
  }
}
